Page MenuHomePhabricator

elm_widget_item_static_focus: fix ERR prints
ClosedPublic

Authored by bu5hm4n on Dec 13 2018, 11:22 PM.

Details

Summary

There is the case that the deletion of the adapter can cause another
registeration, which then calls another time prepare, which then deletes
the adapter, before the actaul deletion of the first efl_del happened,
which means it will throw an error. To avoid this we track if we are in
process of a unrealization, and if so, do not delete the item there.

Depends on D7452

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Dec 13 2018, 11:22 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n requested review of this revision.Dec 13 2018, 11:22 PM
bu5hm4n updated this revision to Diff 17890.Dec 13 2018, 11:24 PM
bu5hm4n edited the summary of this revision. (Show Details)
YOhoho accepted this revision.Dec 16 2018, 3:57 PM
This revision is now accepted and ready to land.Dec 16 2018, 3:57 PM
Closed by commit rEFL5e0a602ee849: elm_widget_item_static_focus: fix ERR prints (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyDec 17 2018, 12:47 AM
This revision was automatically updated to reflect the committed changes.